## masakari-monitors 20.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

automaton>=1.9.0  # Apache-2.0
keystoneauth1>=3.4.0  # Apache-2.0
openstacksdk>=0.13.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
lxml>=4.5.0  # BSD
oslo.cache>=1.26.0  # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.privsep>=1.23.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-consul >=1.1.0 # MIT
kubernetes>=29.0.0 # Apache-2.0

# Due to the nature of libvirt-python package, in DevStack we use the one
# provided in the distro alongside libvirtd - to ensure the two are compatible,
# and also to avoid the pip error when it tries to uninstall the distro version
# (installed in such a way for Nova in DevStack).
# Do note libvirt-python is used only for instance-oriented monitors, so, e.g.,
# it is not used by any host monitor.
#
# Note for package maintainers: just use the libvirt-python package version
# as seen in the Nova dependencies.

=== debian/changelog ===
masakari-monitors (20.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 22:10:28 +0200

=== debian/control ===
Source: masakari-monitors
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-automaton,
 python3-consul,
 python3-coverage,
 python3-ddt,
 python3-hacking,
 python3-keystoneauth1,
 python3-kubernetes,
 python3-libvirt,
 python3-lxml,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-os-testr,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-pycodestyle,
 python3-stestr,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/masakari-monitors
Vcs-Git: https://salsa.debian.org/openstack-team/services/masakari-monitors.git
Homepage: https://opendev.org/openstack/masakari-monitors

Package: masakari-instance-monitor
Architecture: all
Depends:
 masakari-monitors-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - instance monitor
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 Monitors for Masakari provides Virtual Machine High Availability (VMHA)
 service for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host
 failure. If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari instance monitor.

Package: masakari-host-monitor
Architecture: all
Depends:
 masakari-monitors-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - host monitor
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 Monitors for Masakari provides Virtual Machine High Availability (VMHA)
 service for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host
 failure. If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari host monitor.

Package: masakari-introspective-instance-monitor
Architecture: all
Depends:
 masakari-monitors-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack VirtualMachine High Availability (VMHA) - introspective host monitor
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 Monitors for Masakari provides Virtual Machine High Availability (VMHA)
 service for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host
 failure. If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari introspective instance monitor.

Package: masakari-monitors-common
Architecture: all
Depends:
 adduser,
 pacemaker-cli-utils,
 python3-masakari-monitors (= ${binary:Version}),
 tcpdump,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - monitors common files
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains common files for Masakari monitors.

Package: masakari-monitors-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - doc
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the monitors documentation.

Package: masakari-process-monitor
Architecture: all
Depends:
 masakari-monitors-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack VM High Availability (VMHA) - process monitor
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 Monitors for Masakari provides Virtual Machine High Availability (VMHA)
 service for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host
 failure. If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Masakari process monitor.

Package: python3-masakari-monitors
Architecture: all
Section: python
Depends:
 python3-automaton,
 python3-consul,
 python3-keystoneauth1,
 python3-kubernetes,
 python3-libvirt,
 python3-lxml,
 python3-openstacksdk,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.privsep,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - Python files
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 Monitors for Masakari provides Virtual Machine High Availability (VMHA)
 service for OpenStack clouds by automatically detecting the failure events
 such as VM process down, provisioning process down, and nova-compute host
 failure. If it detect the events, it sends notifications to the masakari-api.
 .
 This package contains the Python files and libraries for Masakari monitors.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf masakari.sqlite *.egg-info
	rm -f debian/masakari-monitors-common.postinst debian/masakari-common.postrm debian/masakari-monitors-common.postrm
	find . -type d -name __pycache__ -exec rm -r {} \+
	rm -f doc/source/_static/masakarimonitors.conf.sample

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func masakari-monitors-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm masakari-monitors-common.postrm

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --root=debian/tmp --install-layout=deb ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'masakarimonitors\.tests\.unit.*'
endif

	# Generate the masakari.conf config
	mkdir -p $(CURDIR)/debian/masakari-monitors-common/usr/share/masakari-monitors-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/masakari-monitors-common/usr/share/masakari-monitors-common/masakarimonitors.conf \
		--wrap-width 140 \
		--namespace masakarimonitors.conf \
		--namespace oslo.log \
		--namespace oslo.middleware

	mkdir -p $(CURDIR)/debian/masakari-monitors-common/etc/masakarimonitors
	cp $(CURDIR)/etc/masakarimonitors/process_list.yaml.sample $(CURDIR)/debian/masakari-monitors-common/etc/masakarimonitors/process_list.yaml

#	mkdir -p $(CURDIR)/debian/masakari-process-monitor/etc/masakarimonitors
#	cp $(CURDIR)/etc/masakarimonitors/processmonitor.conf.sample $(CURDIR)/debian/masakari-process-monitor/etc/masakarimonitors/processmonitor.conf

	dh_install
	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/masakari-monitors-doc/usr/share/doc/masakari-monitors-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/masakari-monitors/tags .*/(\d[brc\d\.]+)\.tar\.gz

## masakari-monitors 20.0.0+git20260115.40.26f796f

=== requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
 
 automaton>=1.9.0  # Apache-2.0
 keystoneauth1>=3.4.0  # Apache-2.0

=== debian/changelog ===
masakari-monitors (20.0.0+git20260115.40.26f796f-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/p/demote-k8s-to-suggests.patch: Refresh.
  * d/patches/*: refresh patches
  * New upstream snapshot from 26f796f2a21cf573fff0119d5e167d8c64f2a018
    for OpenStack Gazpacho. (LP: #2137590)
  * d/tests/control: Fix incorrect import name issue.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 09:30:15 -0800

masakari-monitors (20.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Oct 2025 09:34:32 -0700

masakari-monitors (20.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 11:46:05 -0700

masakari-monitors (19.0.0+git2025070714.66e71d5-0ubuntu4) questing; urgency=medium

  * d/masakarimonitors_sudoers: Drop !requiretty override causing compatibility
    issues with sudo-rs. (LP: #2120708)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 15 Aug 2025 10:51:55 -0700

masakari-monitors (19.0.0+git2025070714.66e71d5-0ubuntu3) questing; urgency=medium

  * d/control: python-kubernetes now a suggested requirement.
  * d/p/demote-k8s-to-suggests.patch: Add patch to skip
    not install python-kubernetes and fail gracefully during runtime.
  * d/p/series: Add demote-k8s-to-suggests.patch.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 31 Jul 2025 10:25:30 -0700

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

export PYBUILD_NAME=masakari-monitors

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_install:
	rm -rf $(CURDIR)/debian/python3-masakari-monitors/usr/etc
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/masakarimonitors/masakarimonitors-config-generator.conf
	cp etc/masakarimonitors/masakarimonitors.conf.sample etc/masakarimonitors/masakarimonitors.conf
	cp etc/masakarimonitors/process_list.yaml.sample etc/masakarimonitors/process_list.yaml
	crudini --set etc/masakarimonitors/masakarimonitors.conf api auth_url http://localhost:5000/v3
	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test --no-py2
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b html doc/source doc/build/html
endif

=== debian/tests/control ===
Tests: masakari-monitors-daemons
Depends: masakari-host-monitor, masakari-instance-monitor,
 masakari-introspective-instance-monitor, masakari-process-monitor,
 libvirt-daemon-system
Restrictions: needs-root, allow-stderr

Test-Command: set -e; for py in $(py3versions -r 2>/dev/null); do cd "$AUTOPKGTEST_TMP"; echo "Testing with $py:"; $py -c "import masakarimonitors; print(masakarimonitors)"; done
Depends: python3-masakari-monitors, python3-all
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/masakari-monitors/ masakari_monitors-(\d{1,2}\.\d.*)\.tar\.gz
